Package org.sunflow.core.parser

# Class SCBinaryParser

java.lang.Object
org.sunflow.core.parser.SCAbstractParser
org.sunflow.core.parser.SCBinaryParser

All Implemented Interfaces:
  `SceneParser`

public class SCBinaryParser extends SCAbstractParser

## Nested Class Summary

## Nested classes/interfaces inherited from class org.sunflow.core.parser.SCAbstractParser

`SCAbstractParser.Keyword`

## Constructor Summary

Constructors
Constructor
Description
`SCBinaryParser()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`closeParser()`
`protected void`
`openParser(String filename)`
`protected boolean`
`parseBoolean()`
`protected float`
`parseFloat()`
`protected int`
`parseInt()`
`protected ParameterList.InterpolationType`
`parseInterpolationType()`
`protected SCAbstractParser.Keyword`
`parseKeyword()`
`protected Matrix4`
`parseMatrix()`
`protected String`
`parseString()`
`protected String`
`parseVerbatimString()`

### Methods inherited from class org.sunflow.core.parser.SCAbstractParser

`parse, parseFloatArray`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SCBinaryParser

public SCBinaryParser()

## Method Details

### closeParser

protected void closeParser() throws IOException

Specified by:
  `closeParser` in class `SCAbstractParser`
Throws:
  `IOException`

### openParser

protected void openParser(String filename) throws IOException

Specified by:
  `openParser` in class `SCAbstractParser`
Throws:
  `IOException`

### parseBoolean

protected boolean parseBoolean() throws IOException

Specified by:
  `parseBoolean` in class `SCAbstractParser`
Throws:
  `IOException`

### parseFloat

protected float parseFloat() throws IOException

Specified by:
  `parseFloat` in class `SCAbstractParser`
Throws:
  `IOException`

### parseInt

protected int parseInt() throws IOException

Specified by:
  `parseInt` in class `SCAbstractParser`
Throws:
  `IOException`

### parseMatrix

protected Matrix4 parseMatrix() throws IOException

Specified by:
  `parseMatrix` in class `SCAbstractParser`
Throws:
  `IOException`

### parseString

protected String parseString() throws IOException

Specified by:
  `parseString` in class `SCAbstractParser`
Throws:
  `IOException`

### parseVerbatimString

protected String parseVerbatimString() throws IOException

Specified by:
  `parseVerbatimString` in class `SCAbstractParser`
Throws:
  `IOException`

### parseInterpolationType

protected ParameterList.InterpolationType parseInterpolationType() throws IOException

Specified by:
  `parseInterpolationType` in class `SCAbstractParser`
Throws:
  `IOException`

### parseKeyword

protected SCAbstractParser.Keyword parseKeyword() throws IOException

Specified by:
  `parseKeyword` in class `SCAbstractParser`
Throws:
  `IOException`